import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _GKPlayer } from "./GKPlayer.js";
export declare class _GKInvite extends _NSObject {
    static alloc(): _GKInvite;
    static new(): _GKInvite;
    init(): _GKInvite;
    sender(): _GKPlayer;
    hosted(): boolean;
    /**
     * player group from inviter's match request
     * @deprecated Use the ``GKInvite/sender`` property instead.
     */
    playerGroup(): number;
    /**
     * player attributes from inviter's match request
     * @deprecated Use the ``GKInvite/sender`` property instead.
     */
    playerAttributes(): number;
    /**
     * This property is obsolete. **
     * @deprecated Use the ``GKInvite/sender`` property instead.
     */
    inviter(): _NSString;
}
